---
title: PaymentRequestUpdateEvent.PaymentRequestUpdateEvent()
slug: Web/API/PaymentRequestUpdateEvent/PaymentRequestUpdateEvent
tags:
  - API
  - Constructor
  - Experimental
  - Payment Request
  - Payment Request API
  - PaymentRequestUpdateEvent
  - Reference
  - Secure context
---
<p>{{APIRef("Payment Request API")}}{{securecontext_header}}</p>

<p>The <strong><code>PaymentRequestUpdateEvent</code></strong> constructor creates a new {{domxref("PaymentRequestUpdateEvent")}} object which enables a web page to update the details of a {{domxref("PaymentRequest")}} in response to a user action. Actual updates are made by passing options to the {{domxref('PaymentRequestUpdateEvent.updateWith','updateWith()')}} method.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>paymentRequestUpdateEvent</em> = new PaymentRequestUpdateEvent()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A new <code>PaymentRequestUpdateEvent</code> object.{{SpecName('Payment','#paymentrequestupdateevent-interface','PaymentRequestUpdateEvent')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#constructor-0','PaymentRequestUpdateEvent()')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentRequestUpdateEvent.PaymentRequestUpdateEvent")}}</p>
</div>

